Module org.jfree.chart3d
Package org.jfree.chart3d.export

# Class ExportFormats

java.lang.Object
org.jfree.chart3d.export.ExportFormats

public class ExportFormats extends Object
Utility methods related to export formats.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`ExportFormats()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isJFreePDFAvailable()`
Returns `true` if `JFreePDF` is on the classpath, and `false` otherwise.
`static boolean`
`isJFreeSVGAvailable()`
Returns `true` if JFreeSVG is on the classpath, and `false` otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExportFormats

public ExportFormats()

## Method Details

### isJFreeSVGAvailable

public static boolean isJFreeSVGAvailable()
Returns `true` if JFreeSVG is on the classpath, and `false` otherwise. The JFreeSVG library can be found at http://www.jfree.org/jfreesvg/

Returns:
  A boolean.
Since:
  1.2

### isJFreePDFAvailable

public static boolean isJFreePDFAvailable()
Returns `true` if `JFreePDF` is on the classpath, and `false` otherwise. The JFreePDF library can be found at https://github.com/jfree/jfreepdf

Returns:
  A boolean.